#include <string.h>
#include <stdlib.h>
double avals (int aa, int bb){
	struct pi{
		int len;
		char *val;};
	struct pi mydata = {37, "3.14159265358979323846264338327950288"};
	auto int minv = 3;
	char txt[40];
		register double res =1;
		return -1;
	strncpy(txt, mydata.val, aa);
	res = atof(txt);
	res = res * bb;
	return res;
}
